# QDropEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QDropEvent(QPoint pos, DropActions actions, QMimeData data, MouseButtons buttons, KeyboardModifiers modifiers, Type type)

### Constructor Properties

- prototype: The QDropEvent prototype object

### Prototype Object Properties

The QDropEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- void acceptProposedAction()
- DropAction dropAction()
- KeyboardModifiers keyboardModifiers()
- QMimeData mimeData()
- MouseButtons mouseButtons()
- QPoint pos()
- DropActions possibleActions()
- DropAction proposedAction()
- void setDropAction(DropAction action)
- QWidget source()

### Instance Properties

QDropEvent objects have no special properties beyond those inherited from the QDropEvent prototype object.